Changeset 59588 in spip-zone for _plugins_/videos/plugin.xml


Ignore:
Timestamp:
Mar 21, 2012, 8:46:25 AM (8 years ago)
Author:
kent1@…
Message:

Un début de pseudo compatibilité avec SPIP 3.0

On place tous les pipelines dans le même fichier (évite de multiples inclusions pour rien)

On évite d'utiliser le js calculé qui ne fais qu'une ligne, on met son contenu directement dans le head ce qui fait gagner des hits

paquet.xml + ses fichiers de langue

File:
1 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/videos/plugin.xml

    r57517 r59588  
    1515        <licence>GPL &#169; 2010</licence>
    1616       
    17         <version>0.9.1</version>
     17        <version>0.9.2</version>
    1818        <version_base>0.3</version_base>
    1919        <!-- <version_html5media>1.1.4</version_html5media> -->
     
    4444        <pipeline>
    4545                <nom>insert_head</nom>
    46                 <inclure>pipelines/videos_insert_head.php</inclure>
     46                <inclure>videos_pipelines.php</inclure>
    4747        </pipeline>
    4848        <pipeline>
    4949                <nom>jquery_plugins</nom>
    50                 <inclure>pipelines/videos_jquery_plugins.php</inclure>
     50                <inclure>videos_pipelines.php</inclure>
    5151        </pipeline>
    5252        <pipeline>
    5353        <nom>affiche_gauche</nom>
    54                 <action>affiche_gauche</action>
    55         <inclure>pipelines/videos_affiche_boite.php</inclure>
     54        <inclure>videos_pipelines.php</inclure>
    5655    </pipeline>
    5756
     
    6766        </bouton>
    6867       
    69         <necessite id="SPIP" version="[2.0.0;2.1.99]" />
     68        <necessite id="SPIP" version="[2.0.0;3.0.99]" />
    7069        <necessite id="medias" version="[1.6.0;]" />
    7170        <utilise id="cfg" version="[1.9.4;]" />
Note: See TracChangeset for help on using the changeset viewer.